Bug 331317

Summary: Feature request - Create Calendar event from E-Mail
Product: kontact Reporter: Andreas <andreash87>
Component: mailAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED FIXED    
Severity: wishlist CC: montel
Priority: NOR    
Version: 4.11.5   
Target Milestone: ---   
Platform: openSUSE RPMs   
OS: Linux   
Latest Commit: Version Fixed In: 4.14

Description Andreas 2014-02-20 08:53:03 UTC
The E-Mail component of Kontact offers a nice feature. That is, you can create a ToDo reminder from an E-Mail by right clicking on it and selecting `Create To-do/Reminder`. However, while this is a nice feature, most of the time I actually want to create a calendar event out of an E-Mail. And unfortunately the people sending these E-Mails haven't figured out, yet, how to attach an iCal (or similar).

So, here's the feature I want to suggest:
Right click on the E-Mail text, or use a toolbar button, which says `Create Calendar Event`. It opens a dialog, where the current E-Mail's subject is copied into the event title, the message body is copied into the event's body, and optionally, it *attempts* to guess the Location and Start/End fields from contents in the message. (Doesn't have to be perfect)

Configuration being the spirit of KDE, I could imagine a few configuration options like "add sender/recipients to attendees", or add mail attachments to event attachments, etc. But, to me that's optional advanced stuff.

I'm running Kontact 4.11.5 on openSuse 13.1. 

Reproducible: Always
Comment 1 Laurent Montel 2014-02-26 06:38:30 UTC
Hi,
Event is a good idea, but in 4.13 I integrate "create task" directly in viewer 
=> just a lineedit 
=> not necessary to click twice on ok button.

For event we need to add more info it will difficult to integrate it in viewer.
But I can look at for 4.14.
Comment 2 Andreas 2014-02-26 08:30:37 UTC
Dear Laurent,

thanks for considering this for 4.14.

I'm not sure I understand correctly. When you say, integrated in the viewer, do you mean similar to how the attachments are shown in the compose dialog?
Comment 3 Laurent Montel 2014-03-03 20:40:35 UTC
Git commit 6b96a33b4f7c2d7c1b83701141da8e44528a890d by Montel Laurent.
Committed on 03/03/2014 at 20:39.
Pushed by mlaurent into branch 'master'.

Fix Bug 331317 - Feature request - Create Calendar event from E-Mail

FIXED-IN: 4.14

M  +7    -0    messageviewer/widgets/eventedit.cpp

http://commits.kde.org/kdepim/6b96a33b4f7c2d7c1b83701141da8e44528a890d